%define anolis_release 1
%global debug_package %{nil}

Name:		rust-packaging
Epoch:		1
Version:	21
Release:	%{anolis_release}%{?dist}
Summary:	RPM macros for building Rust packages

License:	MIT
URL:		https://pagure.io/fedora-rust/rust2rpm
Source0:	https://pagure.io/fedora-rust/rust2rpm/archive/v%{version}/rust2rpm-v%{version}.tar.gz

Patch0:		0000-Allow-easy-overriding-of-the-opt-level-debuginfo-cod.patch
Patch1:		0001-Fix-autodetection-of-rpmautospec.patch

Requires:	gawk
Requires:       python3-rust2rpm = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:       rust-srpm-macros > %{version}
Requires:       rust
Requires:       cargo >= 1.41

%description
The package provides RPM macros for building Rust projects.

%package     -n python3-rust2rpm
Summary:        Generate RPM spec files for Rust packages
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  cargo
Requires:       cargo
Provides:       rust2rpm = %{epoch}:%{version}-%{release}
%{?python_provide:%python_provide python3-rust2rpm}

%description -n python3-rust2rpm
%{summary}.

%prep
%autosetup -n rust2rpm-v%{version} -p1

%build
%py3_build

%install
%py3_install
install -D -p -m 0644 -t %{buildroot}%{_rpmmacrodir} data/macros.rust data/macros.cargo
install -D -p -m 0644 -t %{buildroot}%{_fileattrsdir} data/cargo.attr

%check
py.test-%{python3_version} -vv test.py

%files
%license LICENSE
%{_rpmmacrodir}/macros.rust
%{_rpmmacrodir}/macros.cargo
%{_fileattrsdir}/cargo.attr

%files -n python3-rust2rpm
%license LICENSE
%doc NEWS
%{_bindir}/rust2rpm
%{_bindir}/cargo-inspector
%{python3_sitelib}/rust2rpm-*.egg-info/
%{python3_sitelib}/rust2rpm/


%changelog
* Wed Apr 20 2022 happy_orange <songnannan@linux.alibaba.com> - 1:21-1
- Init package from upstream
